=== debian/changelog ===
deepin-manual (6.5.25) unstable; urgency=medium

  * Update version to 6.5.25 
  * fix: Core dump occurs when attempting to open manual while it's already
    open.
  * fix: Icon display issue in help manual for UOS Windows application
    compatibility engine.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 20 May 2025 13:51:30 +0800

deepin-manual (6.5.24) unstable; urgency=medium

  * Update version to 6.5.24 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 14 May 2025 11:13:14 +0800

deepin-manual (6.5.23) unstable; urgency=medium

  * Suppress quick-start for UOS Community edition.
  * Update version to 6.5.23

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 09 May 2025 10:14:23 +0800

deepin-manual (6.5.22) unstable; urgency=medium

  * Suppress video guide for UOS Community edition.
  * Update version to 6.5.22

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 08 May 2025 17:48:24 +0800

deepin-manual (6.5.21) unstable; urgency=medium

  * Using dbus interface instead of dtk sysinfo to get Os edition infomation.
  * Update version to 6.5.21 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 29 Apr 2025 19:41:37 +0800

deepin-manual (6.5.20) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:11:05 +0800

deepin-manual (6.5.19) unstable; urgency=medium

  * chore: update translations.
  * fix: Disable chrome flag on mips architecture

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 20:08:34 +0800

deepin-manual (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Apr 2025 15:09:51 +0800

deepin-manual (6.5.17) unstable; urgency=medium

  * chore: v6.5.17 release.
  * [build] Only enable qt6 for special arch.

 -- re2zero <yangwu@uniontech.com>  Fri, 28 Mar 2025 09:58:44 +0800

deepin-manual (6.5.16) unstable; urgency=medium

  * Bump version to 6.5.16

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:43:04 +0800

deepin-manual (6.5.15) unstable; urgency=medium

  * Update version to 6.5.15
  * Update linglong.yaml for new base

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Feb 2025 18:50:43 +0800

deepin-manual (6.5.14) unstable; urgency=medium

  * Update version to 6.5.14
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Thu, 23 Jan 2025 15:01:04 +0800

deepin-manual (6.5.13) unstable; urgency=medium

  * chore: v6.5.13 release.
  * feat: Support Qt6 build.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

deepin-manual (6.5.12) unstable; urgency=medium

  * fix: fix the issue of incomplete search results(Bug: 290335)

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 11:06:03 +0800

deepin-manual (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 13:34:58 +0800

deepin-manual (6.5.10) unstable; urgency=medium

  * fix: The issue of shutdown and restart is fixed (#510)
  * chore: Adapt linglong for loong64(Task: 368689)
  * chore: update linglong version
  * chore: Adapt to the new version of linglong(Task: 369975)

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 15:09:26 +0800

deepin-manual (6.5.9) unstable; urgency=medium

  * Update version to 6.5.9

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:31:55 +0800

deepin-manual (6.5.8) unstable; urgency=medium

  * New Version 6.5.8.

 -- wangrong <wangrong@uniontech.com>  Sat, 30 Nov 2024 13:26:41 +0800

deepin-manual (6.5.7) unstable; urgency=medium

  * fix fail to launch linglong app via dbus.

 -- wangrong <wangrong@uniontech.com>  Mon, 18 Nov 2024 19:42:16 +0800

deepin-manual (6.5.6) unstable; urgency=medium

  * adapt compact mode 

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 08 Nov 2024 13:53:32 +0800

deepin-manual (6.5.5) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Thu, 07 Nov 2024 08:17:44 +0800

deepin-manual (6.5.4) unstable; urgency=medium

  * fix: fail to view application manual.

 -- wangrong <wangrong@uniontech.com>  Thu, 24 Oct 2024 13:59:02 +0800

deepin-manual (6.5.3) unstable; urgency=medium

  * chore: linglong package slimming.

 -- wangrong <wangrong@uniontech.com>  Sat, 19 Oct 2024 10:39:27 +0800

deepin-manual (6.5.2) unstable; urgency=medium

  * New version 6.5.2
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-manual (6.5.1) unstable; urgency=medium

  * New version 6.5.1

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 05 Sep 2024 10:52:56 +0800

deepin-manual (6.5.0) unstable; urgency=medium

  * New Version 6.5.0.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800

deepin-manual (6.0.14) unstable; urgency=medium

  * fix: unable to open video on older version of the system.

 -- fengli <fengli@uniontech.com>  Wed, 10 Apr 2024 14:17:01 +0800

deepin-manual (6.0.13) unstable; urgency=medium

  * fix: Main page font adjustment and tooltip style modification(Bug: 241593)
  * fix: Update Quick Start Document
  * feat: Add app store entrance to commonly used app library pages
  * fix: In dual screen expansion mode, the help manual is maximized on the main screen before being restored, and the window will be directly displayed on the secondary screen(Bug: 244417)

 -- houchengqiu <houchengqiu@uniontech.com>  Wed, 13 Mar 2024 15:08:16 +0800

deepin-manual (6.0.12) unstable; urgency=medium

  * fix some bugs.

 -- fengli <fengli@uniontech.com>  Wed, 21 Feb 2024 16:53:13 +0800

deepin-manual (6.0.11) unstable; urgency=medium

  * New version 6.0.11

 -- fengli <fengli@uniontech.com>  Mon, 05 Feb 2024 16:20:12 +0800

deepin-manual (6.0.10) unstable; urgency=medium

  * Add resource file

 -- fengli <fengli@uniontech.com>  Thu, 01 Feb 2024 17:14:55 +0800

deepin-manual (6.0.9) unstable; urgency=medium

  * Update version 6.0.9


