## deepin-manual 6.5.32

=== debian/changelog ===
deepin-manual (6.5.32) unstable; urgency=medium

  * update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:39:09 +0800

deepin-manual (6.5.31) unstable; urgency=medium

  * fix: Update application list visibility based on edition type

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 16:57:59 +0800

deepin-manual (6.5.30) unstable; urgency=medium

  * fix: Enhance icon theme retrieval with DBus support (#559)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 13:50:15 +0800

deepin-manual (6.5.29) unstable; urgency=medium

  * fix: Enhance icon theme retrieval with DBus support (#559)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 13:47:38 +0800

deepin-manual (6.5.28) unstable; urgency=medium

  * fix: Enhance icon theme retrieval with DBus support

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 18:32:46 +0800

deepin-manual (6.5.27) unstable; urgency=medium

  * Update version to 6.5.27

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 05 Jun 2025 18:44:10 +0800

deepin-manual (6.5.26) unstable; urgency=medium

  * Update version to 6.5.26 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 23 May 2025 18:03:04 +0800
