## deepin-manual 6.5.38

=== debian/changelog ===
deepin-manual (6.5.38) unstable; urgency=medium

  * chore: Add new Lao translation file (#569)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 14 Aug 2025 09:14:33 +0800

deepin-manual (6.5.37) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 16:55:35 +0800

deepin-manual (6.5.36) unstable; urgency=medium

  * fix: Add destructor to helperManager for proper resource cleanup

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 31 Jul 2025 16:03:35 +0800
