=== debian/control ===
Source: deepin-manual
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Section: python
Priority: optional
Build-Depends:
 ca-certificates,
 cmake,
 debhelper (>= 11),
 qt6-5compat-dev [!mipsel !mips64el] | hello,
 qt6-base-dev [!mipsel !mips64el] | qtbase5-dev,
 qt6-tools-dev-tools [!mipsel !mips64el] | qttools5-dev-tools,
 qt6-tools-dev [!mipsel !mips64el] | qttools5-dev,
 qt6-base-private-dev [!mipsel !mips64el] | qtbase5-private-dev,
 qt6-svg-dev [!mipsel !mips64el] | libqt5svg5-dev,
 qt6-webengine-dev [!mipsel !mips64el] | qtwebengine5-dev,
 libdtk6widget-dev [!mipsel !mips64el] | libdtkwidget-dev,
 libdtk6gui-dev [!mipsel !mips64el] | libdtkgui-dev,
 libdtk6core-dev [!mipsel !mips64el] | libdtkcore-dev,
 libqt6sql6-sqlite [!mipsel !mips64el] | libqt5sql5-sqlite,
 libsass-dev,
 pkg-config,
 libgtest-dev,
 libgmock-dev,
 systemd
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-manual/
Vcs-Git: git://github.com/linuxdeepin/deepin-manual.git
Vcs-Browser: https://github.com/linuxdeepin/deepin-manual/


Package:deepin-manual
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libqt6webenginecore6-bin [!mipsel !mips64el] | libqt5core5a
Recommends: qt5dxcb-plugin,uos-reporter, deepin-event-log
Conflicts: dde-help
Provides: dde-help
Description: Manual provides user guides of the system and applications. 
 Manual is designed to help users learn the operating system and its applications, providing specific instructions and function descriptions.
